#ifndef _BOARD_EASY3111_H
#define _BOARD_EASY3111_H
/******************************************************************************

                              Copyright (c) 2009
                            Lantiq Deutschland GmbH
                     Am Campeon 3; 85579 Neubiberg, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************
   Module      : board_easy3111.h
   Description :
 ****************************************************************************
   \file board_easy3111.h

   \remarks
      
   \note Changes:
*******************************************************************************/

/* ============================= */
/* Includes                      */
/* ============================= */
#include "device_duslic_xt.h"

/* ============================= */
/* Debug interface               */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* Board ID */
#define BOARD_ID 2

/* ============================= */
/* Global Variables              */
/* ============================= */

/* ============================= */
/* Global Structures             */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */
IFX_return_t BOARD_Easy3111_Register(BOARD_t* pBoard);
IFX_int32_t BOARD_Easy3111_DetectNode(CTRL_STATUS_t* pCtrl);

#endif /* _BOARD_EASY3111_H */
